Bug 24736 - "Enrollments" not correctly disabled when nobody is enrolled to a club yet
Summary: "Enrollments" not correctly disabled when nobody is enrolled to a club yet
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-26 16:46 UTC by Jonathan Druart
Modified: 2020-04-01 20:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24736: Disable "Enrollments" link if nobody enrolled to the club yet (1.88 KB, patch)
2020-02-26 16:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24736: Disable "Enrollments" link if nobody enrolled to the club yet (1.93 KB, patch)
2020-02-26 18:40 UTC, David Nind
Details | Diff | Splinter Review
Bug 24736: Disable "Enrollments" link if nobody enrolled to the club yet (1.99 KB, patch)
2020-02-29 09:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bzg 24736: (QA follow-up) Change tooltip wording (1.33 KB, patch)
2020-02-29 09:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-02-26 16:46:42 UTC
The link is disabled but it's possible to click and access the page anyway.

https://snipboard.io/eqHYBu.jpg
Comment 1 Jonathan Druart 2020-02-26 16:50:02 UTC
Created attachment 99664 [details] [review]
Bug 24736: Disable "Enrollments" link if nobody enrolled to the club yet

The link is disabled but it's possible to click and access the page
anyway.

Test plan:
- Create a new club template
- Create a new club
- Click the Actions > Enrollments link
=> Without this patch you can access the page
=> With this patch applied you cannot, and a tooltip explains why (feel
free to suggest another wording)
- Add a new patron to this club (from /cgi-bin/koha/opac-user.pl#opac-user-clubs)
- Notice that the action link is not enabled and click takes you to the
list of enrollments
Comment 2 David Nind 2020-02-26 18:40:36 UTC
Created attachment 99672 [details] [review]
Bug 24736: Disable "Enrollments" link if nobody enrolled to the club yet

The link is disabled but it's possible to click and access the page
anyway.

Test plan:
- Create a new club template
- Create a new club
- Click the Actions > Enrollments link
=> Without this patch you can access the page
=> With this patch applied you cannot, and a tooltip explains why (feel
free to suggest another wording)
- Add a new patron to this club (from /cgi-bin/koha/opac-user.pl#opac-user-clubs)
- Notice that the Enrollment action link in the staff interface is now enabled and
clicking on it takes you to the list of enrollments

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-02-29 09:51:57 UTC
Created attachment 99809 [details] [review]
Bug 24736: Disable "Enrollments" link if nobody enrolled to the club yet

The link is disabled but it's possible to click and access the page
anyway.

Test plan:
- Create a new club template
- Create a new club
- Click the Actions > Enrollments link
=> Without this patch you can access the page
=> With this patch applied you cannot, and a tooltip explains why (feel
free to suggest another wording)
- Add a new patron to this club (from /cgi-bin/koha/opac-user.pl#opac-user-clubs)
- Notice that the action link is not enabled and click takes you to the
list of enrollments

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-02-29 09:52:49 UTC
Created attachment 99810 [details] [review]
Bzg 24736: (QA follow-up) Change tooltip wording

Suggesting a change of the tooltip wording to read:

There are no enrollments for this club yet
Comment 5 Martin Renvoize 2020-03-02 09:47:44 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-01 20:33:44 UTC
backported to 19.11.x branch for 19.11.05